Namespace: webdriver.logging
View Source

# class Entry

A single log entry recorded by a WebDriver component, such as a remote WebDriver server.

### new Entry(level, message, opt_timestamp, opt_type)

Parameters

level`(webdriver.logging.Level|string)`

  The entry level.

message`string`

  The log message.

opt_timestamp`number=`

  The time this entry was generated, in milliseconds since 0:00:00, January 1, 1970 UTC. If omitted, the current time will be used.

opt_type`string=`

  The log type, if known.

## Instance Methods

### toJSON(arg0)code »

Parameters

arg0`string=`

Returns

`{level: string, message: string, timestamp: number, type: string}`

  The JSON representation of this entry.

## Instance Properties

level `webdriver.logging.Level`
  No description.

message `string`
  No description.

timestamp `number`
  No description.

type `string`
  No description.

## Static Functions

### Entry.fromClosureLogRecord(logRecord, opt_type)code »

Converts a `goog.debug.LogRecord` into a `webdriver.logging.Entry`.

Parameters

logRecord`webdriver.logging.LogRecord`

  The record to convert.

opt_type`string=`

  The log type.

Returns

`webdriver.logging.Entry`

  The converted entry.